Apache crashes when mod_proxy_http (Opensuse 13.1 fresh install)

Is anyone else having a problem with mod_proxy_http? When I include it (either configuring from yast2 or simply editing the /etc/sysconfig/apache2 directly), apache2 fails to start. When I remove it, it starts just fine. An application that I need to run seems to need this mod. Thoughts on what I might do?
Thanks
CF

And of course as soon as I give up and post to a thread, it starts working. Not sure why–is loading these mods order dependent?